#include <stdio.h>                                                     //archivos de cabecera

void crear_gnu(int n)                                                  //funcin que genera el archivo grafico.gnu, configuracin del gnuplot
{
   FILE * gnu;
   gnu=fopen("grafico.gnu","w");  //crea archivo configuracion gnu
   
   fprintf(gnu,"set multiplot \n");
   
   fprintf(gnu,"set size 1,0.5 \n");
   fprintf(gnu,"set origin 0,0.5\n");
   fprintf(gnu,"set title \"Medidor de congestion\"\n");
   fprintf(gnu,"set xlabel \" Tiempo [s]\"\n");
   fprintf(gnu,"set ylabel \" Retardo [ms]\"\n");
   fprintf(gnu,"set yrange [0:%d] \n",1000);
   fprintf(gnu,"set xrange [0:%d] \n",n);
   fprintf(gnu,"set xtics 0,%d \n",(int)(n/10));
   fprintf(gnu,"set ytics 0,%d \n",100);
   fprintf(gnu,"set grid \n");
   fprintf(gnu,"plot \"datos.txt\" using 1:4 title \"Tiempo\" with line 1\n");
   
   fprintf(gnu,"set size 1,0.5 \n");
   fprintf(gnu,"set origin 0,0\n");
   fprintf(gnu,"set title \"Porcentaje de Paquetes Perdidos\"\n");
   fprintf(gnu,"set xlabel \" Tiempo [s]\"\n");
   fprintf(gnu,"set ylabel \" Perdida [%]\"\n");
   fprintf(gnu,"set yrange [0:%d] \n",100);
   fprintf(gnu,"set xrange [0:%d] \n",n);
   fprintf(gnu,"set xtics 0,%d \n",(int)(n/10));
   fprintf(gnu,"set ytics 0,%d \n",10);
   fprintf(gnu,"set grid \n");
   fprintf(gnu,"plot \"datos.txt\" using 1:2 title \"Paquetes perdidos\" with line 1\n");
   
   fprintf(gnu,"set nomultiplot \n");
   fprintf(gnu,"pause 2\n");
   fprintf(gnu,"reread\n");
   fclose(gnu);   
}

