#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#define BUFSIZE 4096 //tamao del buffer

//La funcin mail recibe como argumentos el correo del destinatario
//y el archivo de datos a ser adjuntado en el contenido del mensaje

void mail(char *correo,char *fichero)
{
    pid_t pid;                    //variables del programa
    int pfd[2];
    int i, status,c,r;
    char buf[BUFSIZE];           //Buffer para lectura de datos de archivo
   
    if (pipe(pfd) < 0) {           //creacion de pipa
        perror("pipe");            //aviso de error en caso de no crear pipa
        exit(1);
    }

    if ((pid = fork()) < 0) {     //creacion proceso hijo
        perror("fork");
        exit(1);
    }

    if (pid == 0) {               //proceso hijo ejecuta mail   
        dup2(pfd[0], 0);
        close(pfd[1]);
        execl("/usr/bin/mail", "mail", correo, 0);  //ejecucion comando mail
        perror("exec");  //se envia mensaje en caso de error
        exit(127);
    }
    close(pfd[0]);
   
//Escricura del contenido del mensaje
    write(pfd[1], "Mensaje Enviado por Medidor de Congestion\n\n", 43);
    write(pfd[1], "Se est sobrepasando el limite porcentaje de perdidas .\n", 56);
    write(pfd[1], "\n\n", 1);
    write(pfd[1], "Bye.\n", 5);
    c=open(fichero,"r");   //apertura y lectura de los datos capturados
   r=read(c,buf,BUFSIZE);
   while(r>0)
	 {
          write(pfd[1], buf, r);
	    r=read(c,buf,BUFSIZE);
	 }
//Fin escritura mensaje 
	    
    close(pfd[1]);      //se cierra pipa
    waitpid(pid, &status, 0);
   close(c);
}  //Fin del envio de mail

